//importing json & geoPath from d3
import { select, json, geoPath, geoNaturalEarth1} from 'd3';
import {feature} from 'topojson';

const svg = select('svg');

const width = +svg.attr('width');
const height = +svg.attr('height');

//Create projection
const projection = d3.geoMercator();

//Create pathGenerator
const pathGenerator = geoPath().projection(projection);

//Path attached to svg at a specified location
svg.append('path')
		.attr('class', 'sphere')
		.attr('d', pathGenerator({type: 'Sphere'}));


//Data link used to access the data
json('https://gist.githubusercontent.com/anushaanumula/084dd1fdaaaa6f6c8443460002e6bdf4/raw/064a94110fb602f1a4b1704113c4abfe1e5ca863/worldmap_data.json')
		.then(data => {
  
//countries variable used to parde the data
  			const countries = feature(data, data.objects.countries);
  
//datajoin which is used for the paths
  			svg.selectAll('path')
        		.data(countries.features)
  					.enter().append('path')
  					.attr('class', 'country')
  					.attr('d', pathGenerator)
		});